﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AnimalCompApp_v2
{
    class Dog:Animal
    {
        public int RelationPoint { get; private set; }
        public bool  GetRelationPoint { get; private set; }

        public Dog(int idNumber, string name, int birthYear)
            :base(idNumber, name, birthYear)
        {}

        public void RelationScoring(int relationPoint)
        {
            this.RelationPoint = relationPoint;
            GetRelationPoint = true;
        }

        public override int CalculatePoint()
        {
            int p = 0;
            if (GetRelationPoint)
            {
                p = base.CalculatePoint() + RelationPoint;
            }
            return p;
        }

    }
}
