﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AnimalCompApp_v2
{
    class Cat:Animal
    {
        public bool HasSupplierBox { get; set; }
        public Cat (int idNumber, string name, int birthYear, bool hasSupplierBox)
            :base(idNumber, name, birthYear)
        {
            this.HasSupplierBox = hasSupplierBox;
        }

        public override int CalculatePoint()
        {
            if (HasSupplierBox)
            {
                return base.CalculatePoint();
            }
            return 0;
            
        }

    }
}
